
QGIS Application - Bug report #10137

Processing stripping out +towgs params

2014-04-29 05:11 AM - Paolo Cavallini

Status: Open

Priority: High

Assignee:

Category: Processing/GRASS

Affected QGIS version:3.4.1 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18596

Description

Apparently Processing, during the analyses starting from layers in a CRS with +towgs parameters (e.g. 23030) creates outputs with a

similar projection, but without the parameters; a custom CRS is thus created, and the output does not align with the input.

This happens at least with GRASS and R backends.

Related issues:

Related to QGIS Application - Bug report # 11884: Processing generates output... Closed 2014-12-18

Duplicated by QGIS Application - Bug report # 17494: v.clean and v.clean adva... Closed 2017-11-19

History

#1 - 2014-04-30 10:26 AM - Giovanni Manghi

- Affected QGIS version changed from 2.2.0 to master

- Priority changed from Normal to Severe/Regression

- Target version set to Version 2.4

Confirmed here on master/ubuntu.

This is certainly a regression.

PS

It does not happen only for CRSs that may exist in two version, one with towgs84 and one not (ex: 3003 and 102091), but happens with all CRSs: in one

original CRS has no equivalent version without towgs84 then the result will be a layer with a custom CRS automatically created by qgis.

#2 - 2014-05-16 11:42 AM - Giovanni Manghi

- Status changed from Open to Feedback

Can you please check again, it does not seems to happen anymore.

#3 - 2014-05-23 12:33 AM - Paolo Cavallini

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Confirmed, it is OK here
#4 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

#5 - 2017-02-14 03:24 AM - leolami -

- Affected QGIS version changed from master to 2.14.11

- Status changed from Closed to Reopened

- Target version changed from Version 2.4 to Version 3.0

- Operating System set to Windows

Hi all,

the problem is again present on the GRASS modules

QGIS 2.14.11 on Windows 10 but I think also in Linux

For example v.select

Regards

#6 - 2017-02-27 03:04 PM - Giovanni Manghi

see also #11884

#7 - 2017-02-27 03:07 PM - Giovanni Manghi

- Operating System deleted (Windows)

- Affected QGIS version changed from 2.14.11 to 2.18.4

- Resolution deleted (fixed/implemented)

- Target version changed from Version 3.0 to Version 2.18

- Category changed from Processing/Core to Processing/GRASS

#8 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#9 - 2017-04-30 05:08 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#10 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#11 - 2017-05-05 01:46 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.4 to 2.18.7

- Description updated

- Status changed from Reopened to Open

#12 - 2017-07-15 12:38 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.7 to 2.18.10

#13 - 2017-07-25 07:44 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.10 to 2.18.11

#14 - 2017-11-20 11:20 AM - Jürgen Fischer

- Duplicated by Bug report #17494: v.clean and v.clean advanced tools return cleaned layers with CRSs other than the CRSs of the input layers added
#15 - 2018-02-24 04:01 PM - Paolo Cavallini

- Assignee deleted (Victor Olaya)

#16 - 2018-02-24 05:24 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.11 to 3.0.0

#17 - 2018-09-05 05:24 PM - Giovanni Manghi

- Affected QGIS version changed from 3.0.0 to 3.3(master)

#18 - 2018-11-15 04:00 PM - Alexandre Neto

- Affected QGIS version changed from 3.3(master) to 3.4.1
